<?php


return [
    'command_name' => 'delete-old-invoices',
    'callback'     => function () {
        global $wpdb;
        $invoices = $wpdb->get_results( "SELECT id, file_name FROM {$wpdb->prefix}emkp_orders_invoices WHERE created_at <= CURRENT_DATE() - INTERVAL 1 MONTH" );

        foreach ( $invoices as $invoice ) {
            if ( file_exists( $invoice->file_name ) ) {
                unlink( $invoice->file_name );
            }

            $wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->prefix}emkp_orders_invoices WHERE id = %d", $invoice->id ) );
        }

        exit;
    }
];
