<tr>
    <td class='emag_category column-emag_category has-row-actions column-primary' data-colname="Emag Category">
        <select class="js-mapping-emag-category-select" name="mapping[<?php echo $last_id; ?>][emag_category_id]"
                id="last-emag-row-<?php echo $last_id; ?>">
            <option value="0"><?php echo _( 'Choose one Emag Category' ) ?></option>
            <?php foreach ( $emag_categories as $emag_category ) : ?>
                <option value="<?php echo $emag_category['emag_category_id']; ?>">
                    <?php echo $emag_category['name']; ?>
                </option>
            <?php endforeach; ?>
        </select>
        <button type="button" class="toggle-row"><span class="screen-reader-text">Show more details</span></button>
    </td>
    <td class='woocommerce_category column-woocommerce_category' data-colname="WooCommerce Category">
        <select class="js-mapping-woocommerce-category-select"
                name="mapping[<?php echo $last_id; ?>][woocommerce_category_id]">
            <option value="0"><?php echo _( 'Choose one WooCommerce Category' ) ?></option>
            <?php foreach ( $woocommerce_categories as $woocommerce_category ): ?>
                <?php $disabled = $woocommerce_category['disabled'] ? 'disabled' : '' ?>
                <option value="<?php echo $woocommerce_category['id']; ?>" <?php echo $disabled ?>>
                    <?php echo $woocommerce_category['name']; ?>
                </option>
            <?php endforeach; ?>
        </select>
    </td>
    <td class='actions column-actions' data-colname="Actions">
        <button type="button" data-trigger="delete-mapping" data-mapping-id="0" class="button">
            Delete
        </button>
    </td>
</tr>
<input type="hidden" id="add-new-row" value="<?php echo $last_id; ?>">
