<div id="welcome-panel" class="welcome-panel">
    <?php isset( $_GET['api_config'] ) ? $empty_config = $_GET['api_config'] : $empty_config = null; ?>
    <?php isset( $_GET['import_categories'] ) ? $import_categories = $_GET['import_categories'] : $import_categories = null; ?>
    <?php isset( $_GET['save_categories'] ) ? $save_categories = $_GET['save_categories'] : $save_categories = null; ?>
    <?php if ( isset( $empty_config ) && $empty_config ): ?>
        <div id="error-page">
            <div class="error notice">
                <p><?php echo __( 'Invalid API Configuration!' ) ?></p>
            </div>
        </div>
    <?php endif; ?>
    <?php if ( isset( $import_categories ) && $import_categories ): ?>
        <div class="updated notice">
            <p><?php echo __( 'Import/Update categories has finished!' ) ?></p>
        </div>
    <?php endif; ?>
    <?php if ( isset( $save_categories ) && $save_categories ): ?>
        <div class="updated notice">
            <p><?php echo __( 'The changes have been saved!' ) ?></p>
        </div>
    <?php elseif ( isset( $save_categories ) && ! $save_categories ): ?>
        <div class="error notice">
            <p><?php echo __( 'Problem has occurred!' ) ?></p>
        </div>
    <?php endif; ?>

    <div class="welcome-panel-content">
        <h2><?php echo __( 'Mapping Categories' ) ?></h2>
        <p class="about-description"><?php echo __( 'Import or synchronize categories, categories characteristics, family types and family types characteristics' ) ?></p>
        <div class="welcome-panel-column-container">
            <div class="welcome-panel-column js-import-emag-data-form-container" style="padding:15px 0">
                <div id="loading-import-categories"></div>

                <div id="js-ajax-message">
                    <div id="js-future-notice"
                         data-success-class="notice updated" data-success-message="Update has finished with success!"
                         data-error-class="notice error" data-error-message="Update failed!"
                         data-loading-class="notice loading"
                         data-loading-message="DO NOT REFRESH PAGE! CATEGORIES ARE UPDATED !!"
                    >
                        <p></p>
                    </div>
                </div>

                <button type="button" id="js-import_sync_categories_button"
                        class="button button-primary"><?php echo __( 'Import Emag Data' ) ?></button>
            </div>
        </div>
    </div>
</div>
