<input type="hidden" name="emkp_awb[order_id]" value="<?php echo (int) $_GET['post']; ?>"/>

<?php $list->display(); ?>

<table width="100%">
    <tr>
        <td valign="top">
            <h1 class="emkp-shipping-h1"><?php _e( 'Required Information' ); ?></h1>

            <p class="form-field">
                <label for="emkp_awb[awb_data][courier_account_id]">Courier:</label><br/>
                <select id="emkp_awb[awb_data][courier_account_id]" name="emkp_awb[awb_data][courier_account_id]" class="emkp-shipping-select">
                    <option selected disabled><?php _e( 'Select' ); ?></option>

                    <?php foreach ( $courier_accounts as $id => $name ) : ?>
                        <option value="<?php echo $id; ?>"><?php echo $name; ?></option>
                    <?php endforeach; ?>
                </select>
            </p>

            <p class="form-field">
                <label for="emkp_awb[awb_data][envelope_number]"><?php _e( 'Number of envelopes:' ); ?></label>
                <input name="emkp_awb[awb_data][envelope_number]" id="emkp_awb[envelope_number]" type="number"/>
            </p>

            <p class="form-field">
                <label for="emkp_awb[awb_data][parcel_number]"><?php _e( 'Number of parcels:' ); ?></label>
                <input name="emkp_awb[awb_data][parcel_number]" id="emkp_awb[parcel_number]" type="number"/>
            </p>

            <p class="form-field">
                <label for="emkp_awb[awb_data][cod]"><?php _e( 'Cash on delivery:' ); ?></label>
                <input name="emkp_awb[awb_data][cod]" id="emkp_awb[cod]" type="number" value="<?php echo $codAmount; ?>"/>
            </p>

            <h1 class="emkp-shipping-h1"><?php _e( 'Optional Information' ); ?></h1>
            <p class="form-field">
                <label for="emkp_awb[awb_data][insured_value]"><?php _e( 'Insured Value:' ); ?></label>
                <input name="emkp_awb[awb_data][insured_value]" id="emkp_awb[insured_value]" type="number"/>
            </p>

            <p class="form-field">
                <label for="emkp_awb[awb_data][weight]"><?php _e( 'Weight of the delivery:' ); ?></label>
                <input name="emkp_awb[awb_data][weight]" id="emkp_awb[weight]" type="number" value="<?php echo $orderWeight ?: null; ?>"/>
            </p>

            <p class="form-field">
                <input name="emkp_awb[awb_data][pickup_and_return]" id="emkp_awb[pickup_and_return]" type="checkbox"/>
                <label for="emkp_awb[awb_data][pickup_and_return]"><?php _e( 'Pickup and return' ); ?></label>
            </p>

            <p class="form-field">
                <input name="emkp_awb[awb_data][saturday_delivery]" id="emkp_awb[saturday_delivery]" type="checkbox"/>
                <label for="emkp_awb[awb_data][saturday_delivery]"><?php _e( 'Saturday Delivery' ); ?></label>
            </p>

            <p class="form-field">
                <input name="emkp_awb[awb_data][sameday_delivery]" id="emkp_awb[sameday_delivery]" type="checkbox"/>
                <label for="emkp_awb[awb_data][sameday_delivery]"><?php _e( 'Same day delivery' ); ?></label>
            </p>
        </td>
        <td valign="top">
            <h1 class="emkp-shipping-h1"><?php _e( 'Receiver Information' ); ?></h1>

            <p class="form-field">
                <label for="emkp_awb[receiver][person_type]"><?php _e( 'Is Legal Entity:' ); ?></label><br/>
                <select id="emkp_awb[receiver][person_type]" name="emkp_awb[receiver][person_type]" class="emkp-shipping-select">
                    <option value="0"><?php _e( 'No' ); ?></option>
                    <option value="1" <?php if ( $shipping_info['legal_entity'] ): ?>selected<?php endif; ?>><?php _e( 'Yes' ); ?></option>
                </select>
            </p>

            <p class="form-field">
                <label for="emkp_awb[receiver][name]"><?php _e( 'Name:' ); ?></label>
                <input id="emkp_awb[receiver][name]" name="emkp_awb[receiver][name]" type="text" value="<?php echo $shipping_info['contact']; ?>"/>
            </p>

            <p class="form-field">
                <label for="emkp_awb[receiver][contact]"><?php _e( 'Contact Person:' ); ?></label>
                <input id="emkp_awb[receiver][contact]" name="emkp_awb[receiver][contact]" type="text" value="<?php echo $shipping_info['contact']; ?>"/>
            </p>

            <p class="form-field">
                <label for="emkp_awb[receiver][phone1]"><?php _e( 'Phone Number 1:' ); ?></label>
                <input id="emkp_awb[receiver][phone1]" name="emkp_awb[receiver][phone1]" type="text" value="<?php echo $shipping_info['phone1']; ?>"/>
            </p>

            <p class="form-field">
                <label for="emkp_awb[receiver][phone2]"><?php _e( 'Phone Number 2:' ); ?></label>
                <input id="emkp_awb[receiver][phone2]" name="emkp_awb[receiver][phone2]" type="text" value="<?php echo $shipping_info['phone2']; ?>"/>
            </p>

            <p class="form-field">
                <label for="emkp_awb[receiver][locality_id]"><?php _e( 'Locality:' ); ?></label><br/>
                <select id="emkp_awb[receiver][locality_id]" name="emkp_awb[receiver][locality_id]" style="width:95%; /*do not remove this */" class="emkp-localities-select">
                    <?php if ( $selected_locality ): ?>
                        <option value="<?php echo $selected_locality['emag_id']; ?>" selected="selected">
                            <?php echo $selected_locality['name'] . ' (' . $selected_locality['region'] . ')'; ?>
                        </option>
                    <?php endif; ?>
                </select>
            </p>

            <p class="form-field">
                <label for="emkp_awb[receiver][street]"><?php _e( 'Street:' ); ?></label>
                <input id="emkp_awb[receiver][street]" name="emkp_awb[receiver][street]" type="text" value="<?php echo $shipping_info['street']; ?>"/>
            </p>

            <p class="form-field">
                <label for="emkp_awb[receiver][zipcode]"><?php _e( 'Postal Code:' ); ?> </label>
                <input id="emkp_awb[receiver][zipcode]" name="emkp_awb[receiver][zipcode]" type="text" value="<?php echo $shipping_info['postal_code']; ?>"/>
            </p>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <h1 class="emkp-shipping-h1"><?php _e('Observation'); ?></h1>
            <p class="form-field">
                <textarea name="emkp_awb[awb_data][observation]" class="emkp-shipping-textarea"></textarea>
            </p>
        </td>
    </tr>
</table>

<button id="emkp_awb_generate" type="button" class="button button-primary"><?php _e( 'Generate AWB' ); ?></button>
