<tr valign="top">
    <th scope="row"><?php _e( 'API URL:' ); ?></th>
    <td><input class="regular-text <?php echo in_array( 'emkp_api_url', $invalid_fields ) ? 'emkp-has-error' : null; ?>"
               type="text" name="emkp_api_url" required
               value="<?php echo esc_url_raw( isset( $_POST['emkp_api_url'] ) ? $_POST['emkp_api_url'] : get_option( 'emkp_api_url' ) ); ?>"/>
    </td>
</tr>

<tr valign="top">
    <th scope="row"><?php _e( 'Username:' ); ?></th>
    <td>
        <input class="regular-text <?php echo in_array( 'emkp_username', $invalid_fields ) ? 'emkp-has-error' : null; ?>"
               type="text" name="emkp_username" required
               value="<?php echo esc_html( isset( $_POST['emkp_username'] ) ? $_POST['emkp_username'] : get_option( 'emkp_username' ) ); ?>"/>
    </td>
</tr>

<tr valign="top">
    <th scope="row"><?php _e( 'Password:' ); ?></th>
    <td>
        <input class="regular-text <?php echo in_array( 'emkp_password', $invalid_fields ) ? 'emkp-has-error' : null; ?>"
               type="password" name="emkp_password" required
               value="<?php echo esc_html( isset( $_POST['emkp_password'] ) ? $_POST['emkp_password'] : get_option( 'emkp_password' ) ); ?>"/>
    </td>
</tr>

<tr valign="top">
    <th scope="row"><?php _e( 'Locale:' ); ?></th>
    <td>
        <select id="emkp_locale" name="emkp_locale"
                class="regular-text <?php echo in_array( 'emkp_locale', $invalid_fields ) ? 'emkp-has-error' : null; ?>"
                required>
            <option value="" disabled="disabled" <?php if ( ! get_option( 'emkp_locale' ) || array_key_exists( 'emkp_currency', $_POST ) ): ?>selected="selected"<?php endif; ?>>
                <?php _e( 'Select' ); ?>
            </option>
            <?php foreach ( $locales as $key => $value ) : ?>
                <option value="<?php echo $key; ?>" <?php if ( ( array_key_exists( 'emkp_locale', $_POST ) && $_POST['emkp_locale'] == $key ) || get_option( 'emkp_locale' ) == $key ): ?>selected="selected"<?php endif; ?>>
                    <?php echo esc_html($value); ?>
                </option>
            <?php endforeach; ?>
        </select>
    </td>
</tr>

<tr valign="top">
    <th scope="row"><?php _e( 'Currency:' ); ?></th>
    <td>
        <select id="emkp_currency" name="emkp_currency" class="regular-text <?php echo in_array( 'emkp_currency', $invalid_fields ) ? 'emkp-has-error' : null; ?>" required>
            <option value="" disabled="disabled" <?php if ( ! get_option( 'emkp_locale' ) || array_key_exists( 'emkp_currency', $_POST ) ): ?>selected="selected"<?php endif; ?>>
                <?php _e( 'Select' ); ?>
            </option>
            <?php foreach ( $currencies as $currency ) : ?>
                <option value="<?php echo $currency; ?>"
                        <?php if ( ( array_key_exists( 'emkp_currency', $_POST ) && $_POST['emkp_currency'] == $currency ) || get_option( 'emkp_currency' ) == $currency ): ?>selected="selected"<?php endif; ?>>
                    <?php echo $currency; ?>
                </option>
            <?php endforeach; ?>
        </select>
    </td>
</tr>

<tr valign="top">
    <th scope="row" colspan="2">
        <hr>
    </th>
</tr>
