<tr valign="top">
    <th scope="row"><?php _e( 'Product Queue Limit:' ); ?></th>
    <td>
        <input class="regular-text <?php echo in_array( 'emkp_product_queue_limit', $invalid_fields ) ? 'emkp-has-error' : null; ?>"
               type="text" name="emkp_product_queue_limit"
               value="<?php echo array_key_exists( 'emkp_product_queue_limit', $_POST ) ? (int) $_POST['emkp_product_queue_limit'] : get_option( 'emkp_product_queue_limit' ); ?>"/>
    </td>
</tr>

<tr valign="top">
    <th scope="row"><?php _e( 'Handling Time:' ); ?></th>
    <td>
        <input class="regular-text <?php echo in_array( 'emkp_handling_time', $invalid_fields ) ? 'emkp-has-error' : null; ?>"
               type="text" name="emkp_handling_time"
               value="<?php echo array_key_exists( 'emkp_handling_time', $_POST ) ? (int) $_POST['emkp_handling_time'] : get_option( 'emkp_handling_time' ); ?>"/>
    </td>
    </td>
</tr>

<tr valign="top">
    <th scope="row"><?php _e( 'VAT Rate' ); ?></th>
    <td>
        <select id="emkp_vat_rate" name="emkp_vat_rate"
                class="regular-text <?php echo in_array( 'emkp_vat_rate', $invalid_fields ) ? 'emkp-has-error' : null; ?>"
                required>
            <option value="" disabled="disabled"
                    <?php if ( ! get_option( 'emkp_vat_rate' ) || array_key_exists( 'emkp_vat_rate', $_POST ) ): ?>selected="selected"<?php endif; ?>><?php _e( 'Select' ); ?></option>
            <?php foreach ( $vat_rates as $vat_rate ) : ?>
                <option value="<?php echo $vat_rate['vat_id']; ?>"
                        <?php if ( ( array_key_exists( 'emkp_vat_rate', $_POST ) && $_POST['emkp_vat_rate'] == $vat_rate['vat_id'] ) || get_option( 'emkp_vat_rate' ) == $vat_rate['vat_id'] ): ?>selected="selected"<?php endif; ?>>

                    <?php printf( '%d %s', $vat_rate['vat_rate'] * 100, $vat_rate['is_default'] ? __( '(default)' ) : null ); ?>
                </option>
            <?php endforeach; ?>
        </select>
    </td>
</tr>

<tr valign="top">
    <th scope="row">
        <?php _e( 'Min Sale Price <small>(percentage)</small>' ); ?>
    </th>
    <td>
        <input class="regular-text <?php echo in_array( 'emkp_min_sale_price', $invalid_fields ) ? 'emkp-has-error' : null; ?>"
               type="text" name="emkp_min_sale_price"
               value="<?php echo isset( $_POST['emkp_min_sale_price'] ) ? (float) $_POST['emkp_min_sale_price'] : get_option( 'emkp_min_sale_price' ); ?>"/>
    </td>
</tr>

<tr valign="top">
    <th scope="row">
        <?php _e( 'Max Sale Price <small>(percentage)</small>' ); ?>
    </th>
    <td>
        <input class="regular-text <?php echo in_array( 'emkp_max_sale_price', $invalid_fields ) ? 'emkp-has-error' : null; ?>"
               type="text" name="emkp_max_sale_price"
               value="<?php echo isset( $_POST['emkp_max_sale_price'] ) ? (float) $_POST['emkp_max_sale_price'] : get_option( 'emkp_max_sale_price' ); ?>"/>
    </td>
</tr>

<tr valign="top">
    <th scope="row" colspan="2">
        <hr>
    </th>
</tr>
