<?php

abstract class Emkp_Abstract_Migration {
    /**
     * @var wpdb
     */
    protected $wpdb;

    /**
     * @var null|string
     */
    protected $collate;

    abstract public function run();

    public function __construct() {
        global $wpdb;

        $this->wpdb = $wpdb;

        require_once ABSPATH . 'wp-admin/includes/upgrade.php';

        $this->collate = $this->wpdb->has_cap( 'collation' ) ? $this->wpdb->get_charset_collate() : null;
    }

    public function get_table_name( $table ) {
        return $this->wpdb->prefix . $table;
    }
}
