<tr valign="top">
    <th scope="row"><?php _e( 'Initial order status' ) ?></th>
    <td>
        <select id="emkp_initial_order_status" name="emkp_initial_order_status"
                class="regular-text <?php echo in_array( 'emkp_initial_order_status', $invalid_fields ) ? 'emkp-has-error' : null; ?>"
                required>
            <option value="" disabled="disabled"
                    <?php if ( ! get_option( 'emkp_initial_order_status' ) || array_key_exists( 'emkp_initial_order_status', $_POST ) ): ?>selected="selected"<?php endif; ?>><?php _e( 'Select' ); ?></option>
            <?php foreach ( $emkp_order_statuses as $code => $label ): ?>
                <option value="<?php echo $code ?>" <?php echo ( get_option( 'emkp_initial_order_status' ) == $code ) ? 'selected' : '' ?>><?php _e( $label ); ?></option>
            <?php endforeach; ?>
        </select>
    </td>
</tr>

<tr valign="top">
    <th scope="row"><?php _e( 'Finalized order status' ) ?></th>
    <td>
        <select id="emkp_finalized_order_status" name="emkp_finalized_order_status"
                class="regular-text <?php echo in_array( 'emkp_finalized_order_status', $invalid_fields ) ? 'emkp-has-error' : null; ?>"
                required>
            <option value="" disabled="disabled"
                    <?php if ( ! get_option( 'emkp_finalized_order_status' ) || array_key_exists( 'emkp_finalized_order_status', $_POST ) ): ?>selected="selected"<?php endif; ?>><?php _e( 'Select' ); ?></option>
            <?php foreach ( $emkp_order_statuses as $code => $label ): ?>
                <option value="<?php echo $code ?>" <?php echo ( get_option( 'emkp_finalized_order_status' ) == $code ) ? 'selected' : '' ?>><?php _e( $label ); ?></option>
            <?php endforeach; ?>
        </select>
    </td>
</tr>

<tr valign="top">
    <th scope="row"><?php _e( 'Cancelled order status' ) ?></th>
    <td>
        <select id="emkp_cancelled_order_status" name="emkp_cancelled_order_status"
                class="regular-text <?php echo in_array( 'emkp_cancelled_order_status', $invalid_fields ) ? 'emkp-has-error' : null; ?>"
                required>
            <option value="" disabled="disabled"
                    <?php if ( ! get_option( 'emkp_cancelled_order_status' ) || array_key_exists( 'emkp_cancelled_order_status', $_POST ) ): ?>selected="selected"<?php endif; ?>><?php _e( 'Select' ); ?></option>
            <?php foreach ( $emkp_order_statuses as $code => $label ): ?>
                <option value="<?php echo $code ?>" <?php echo ( get_option( 'emkp_cancelled_order_status' ) == $code ) ? 'selected' : '' ?>><?php _e( $label ); ?></option>
            <?php endforeach; ?>
        </select>
    </td>
</tr>

<tr valign="top">
    <th scope="row" colspan="2">
        <hr>
    </th>
</tr>
