<tr valign="top">
    <th scope="row"><?php _e( 'Cash On Delivery:' ) ?></th>
    <td>
        <select id="emkp_payment_cod" name="emkp_payment_cod"
                class="regular-text <?php echo in_array( 'emkp_payment_cod', $invalid_fields ) ? 'emkp-has-error' : null; ?>"
                required>
            <option value="" disabled="disabled"
                    <?php if ( ! get_option( 'emkp_payment_cod' ) || array_key_exists( 'emkp_payment_cod', $_POST ) ): ?>selected="selected"<?php endif; ?>><?php _e( 'Select' ); ?></option>
            <?php foreach ( $payment_methods as $id => $label ): ?>
                <option value="<?php echo $id ?>" <?php echo ( get_option( 'emkp_payment_cod' ) == $id ) ? 'selected' : '' ?>><?php _e( $label ); ?></option>
            <?php endforeach; ?>
        </select>
    </td>
</tr>

<tr valign="top">
    <th scope="row"><?php _e( 'Bank Transfer:' ) ?></th>
    <td>
        <select id="emkp_payment_bank_transfer" name="emkp_payment_bank_transfer"
                class="regular-text <?php echo in_array( 'emkp_payment_bank_transfer', $invalid_fields ) ? 'emkp-has-error' : null; ?>"
                required>
            <option value="" disabled="disabled"
                    <?php if ( ! get_option( 'emkp_payment_bank_transfer' ) || array_key_exists( 'emkp_payment_bank_transfer', $_POST ) ): ?>selected="selected"<?php endif; ?>><?php _e( 'Select' ); ?></option>
            <?php foreach ( $payment_methods as $id => $label ): ?>
                <option value="<?php echo $id ?>" <?php echo ( get_option( 'emkp_payment_bank_transfer' ) == $id ) ? 'selected' : '' ?>><?php _e( $label ); ?></option>
            <?php endforeach; ?>
        </select>
    </td>
</tr>

<tr valign="top">
    <th scope="row"><?php _e( 'Online Card Payment:' ) ?></th>
    <td>
        <select id="emkp_payment_card" name="emkp_payment_card"
                class="regular-text <?php echo in_array( 'emkp_payment_card', $invalid_fields ) ? 'emkp-has-error' : null; ?>"
                required>
            <option value="" disabled="disabled"
                    <?php if ( ! get_option( 'emkp_payment_card' ) || array_key_exists( 'emkp_payment_card', $_POST ) ): ?>selected="selected"<?php endif; ?>><?php _e( 'Select' ); ?></option>
            <?php foreach ( $payment_methods as $id => $label ): ?>
                <option value="<?php echo $id ?>" <?php echo ( get_option( 'emkp_payment_card' ) == $id ) ? 'selected' : '' ?>><?php _e( $label ); ?></option>
            <?php endforeach; ?>
        </select>
    </td>
</tr>

<tr valign="top">
    <th scope="row" colspan="2">
        <hr>
    </th>
</tr>
